Page MenuHomeFreeBSD

emulators/dosbox-x: update to 2023.10.06
ClosedPublic

Authored by vvd on Feb 18 2024, 1:46 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Apr 13, 8:37 PM
Unknown Object (File)
Fri, Apr 12, 10:52 AM
Unknown Object (File)
Wed, Apr 10, 3:02 PM
Unknown Object (File)
Mon, Apr 8, 10:37 PM
Unknown Object (File)
Mon, Mar 25, 10:41 PM
Unknown Object (File)
Feb 21 2024, 12:37 PM
Unknown Object (File)
Feb 20 2024, 4:08 AM
Unknown Object (File)
Feb 20 2024, 2:16 AM
Subscribers

Details

Summary

Release Notes: https://dosbox-x.com/release-2023.10.06.html

Tested in poudriere and on live system 13.2-p9 amd64.

Patch for turn off alsa on live system posted to upstream:
https://github.com/joncampbell123/dosbox-x/issues/4829

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

vvd requested review of this revision.Feb 18 2024, 1:46 PM
vvd created this revision.
emulators/dosbox-x/Makefile
19

This is handled by USES=pkgconfig.

emulators/dosbox-x/Makefile
19

Oops.
I found this in several ports…
Will fix this soon.

Replaced BUILD_DEPENDS=pkg-config:devel/pkgconf with USES=pkgconfig.

LGTM.

emulators/dosbox-x/pkg-plist
1–2

This breaks sorting. Move this below share/icons

This revision is now accepted and ready to land.Feb 18 2024, 2:40 PM

Fixed plist order after move man to share.

This revision now requires review to proceed.Feb 18 2024, 3:02 PM
vvd marked 2 inline comments as done.Feb 18 2024, 3:02 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 18 2024, 3:31 PM
This revision was automatically updated to reflect the committed changes.